### YamlMime:ManagedReference
items:
- uid: Voile.Input.MouseButton
  commentId: T:Voile.Input.MouseButton
  id: MouseButton
  parent: Voile.Input
  children:
  - Voile.Input.MouseButton.Left
  - Voile.Input.MouseButton.Middle
  - Voile.Input.MouseButton.Right
  langs:
  - csharp
  - vb
  name: MouseButton
  nameWithType: MouseButton
  fullName: Voile.Input.MouseButton
  type: Enum
  source:
    remote:
      path: Voile/Source/Input/InputSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: MouseButton
    path: Source/Input/InputSystem.cs
    startLine: 208
  assemblies:
  - Voile
  namespace: Voile.Input
  syntax:
    content: >-
      [Flags]

      public enum MouseButton
    content.vb: >-
      <Flags>

      Public Enum MouseButton
  attributes:
  - type: System.FlagsAttribute
    ctor: System.FlagsAttribute.#ctor
    arguments: []
- uid: Voile.Input.MouseButton.Left
  commentId: F:Voile.Input.MouseButton.Left
  id: Left
  parent: Voile.Input.MouseButton
  langs:
  - csharp
  - vb
  name: Left
  nameWithType: MouseButton.Left
  fullName: Voile.Input.MouseButton.Left
  type: Field
  source:
    remote:
      path: Voile/Source/Input/InputSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Left
    path: Source/Input/InputSystem.cs
    startLine: 211
  assemblies:
  - Voile
  namespace: Voile.Input
  syntax:
    content: Left = 0
    return:
      type: Voile.Input.MouseButton
- uid: Voile.Input.MouseButton.Right
  commentId: F:Voile.Input.MouseButton.Right
  id: Right
  parent: Voile.Input.MouseButton
  langs:
  - csharp
  - vb
  name: Right
  nameWithType: MouseButton.Right
  fullName: Voile.Input.MouseButton.Right
  type: Field
  source:
    remote:
      path: Voile/Source/Input/InputSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Right
    path: Source/Input/InputSystem.cs
    startLine: 212
  assemblies:
  - Voile
  namespace: Voile.Input
  syntax:
    content: Right = 1
    return:
      type: Voile.Input.MouseButton
- uid: Voile.Input.MouseButton.Middle
  commentId: F:Voile.Input.MouseButton.Middle
  id: Middle
  parent: Voile.Input.MouseButton
  langs:
  - csharp
  - vb
  name: Middle
  nameWithType: MouseButton.Middle
  fullName: Voile.Input.MouseButton.Middle
  type: Field
  source:
    remote:
      path: Voile/Source/Input/InputSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Middle
    path: Source/Input/InputSystem.cs
    startLine: 213
  assemblies:
  - Voile
  namespace: Voile.Input
  syntax:
    content: Middle = 2
    return:
      type: Voile.Input.MouseButton
references:
- uid: Voile.Input
  commentId: N:Voile.Input
  href: Voile.html
  name: Voile.Input
  nameWithType: Voile.Input
  fullName: Voile.Input
  spec.csharp:
  - uid: Voile
    name: Voile
    href: Voile.html
  - name: .
  - uid: Voile.Input
    name: Input
    href: Voile.Input.html
  spec.vb:
  - uid: Voile
    name: Voile
    href: Voile.html
  - name: .
  - uid: Voile.Input
    name: Input
    href: Voile.Input.html
- uid: Voile.Input.MouseButton
  commentId: T:Voile.Input.MouseButton
  parent: Voile.Input
  href: Voile.Input.MouseButton.html
  name: MouseButton
  nameWithType: MouseButton
  fullName: Voile.Input.MouseButton
